part of modern_form_core;

Future<SecondOption?> showSecondOption(
    BuildContext context, List<SecondOption> options) async {
  SecondOption? response = await showModernFormFilterPopupMenu<SecondOption>(
    context,
    list: options
        .map((e) => ModernFormBottomSheetModel<SecondOption>(
            text: e.toElegantString, value: e))
        .toList(),
    forceMenu: true,
  );

  return response;
}

enum SecondOption { Edit, Delete, Move }

extension SecondOptionString on SecondOption {
  String get toElegantString {
    switch (this) {
      case SecondOption.Edit:
        return "Editar";
      case SecondOption.Delete:
        return "Deletar";
      case SecondOption.Move:
        return "Mover";
      default:
        return "";
    }
  }
}
