import 'package:flutter/material.dart';
import 'package:share_plus/share_plus.dart';

class ShareHelperImplementation {
  static Future<void> file(
      String title, String name, List<int> bytes, String mimeType,
      {String text = ''}) async {}

  static Future<void> files(
      String title, Map<String, List<int>> files, String mimeType,
      {String text = ''}) async {}

  static Future<void> text(
    String text, {
    String? subject,
    Rect? sharePositionOrigin,
  }) async {
    await Share.share(
      text,
      subject: subject,
      sharePositionOrigin: sharePositionOrigin,
    );
  }
}
