part of modern_form_core;

class ModernFormNavigation {
  static Future<T?> Function<T>(Widget page) push = <T>(Widget page) async {
    return Navigator.push(
        ModernFormGlobalContext.context!,
        PageRouteBuilder(
            pageBuilder: (BuildContext context, Animation<double> animation,
                    Animation<double> secondaryAnimation) =>
                page));
  };

  static Future Function([dynamic value]) pop = ([dynamic value]) async {
    return Navigator.pop(ModernFormGlobalContext.context!, value);
  };
}
