part of modern_form_core;

class ModernFormDownloadHelper {
  static Future<Uint8List?> downloadWithProgress(
    String? url, {
    void Function(int?, int)? onBytesReceived,
    Duration? timeLimit,
  }) async {
    try {
          Uint8List? response =await ModernFormDownloadPlatformHelper.downloadWithProgress(
        url,
        onBytesReceived: onBytesReceived,
        timeLimit: timeLimit,
      );
      return response;
    } catch (e) {
      print("ERROR ModernFormDownloadHelper.downloadWithProgress() --> $e");
      return null;
    }
  }

  static Future<Uint8List?> simpleDownload(String? url) async {
    try {
      Uint8List? response =await ModernFormDownloadPlatformHelper.simpleDownload(url);
      return response;
    } catch (e) {
      print("ERROR ModernFormDownloadHelper.simpleDownload() --> $e");
      return null;
    }
  }
}
