part of modern_form_core;

enum ModernFormFileExtensionType { DOC, DOCX, PDF, XLS, XLSX, PPT, PPTX }

extension FileExtensionTypeToString on ModernFormFileExtensionType? {
  String get toElegantString => this
      .toString()
      .replaceAll('ModernFormFileExtensionType', "")
      .toUpperCase();
  String get toValueString => this
      .toString()
      .replaceAll('ModernFormFileExtensionType.', "")
      .toLowerCase();

  //   IconData get toIconData{
  //     switch(this){
  //       case: ModernFormFileExtensionType.DOC:
  //       return Icons.picture_as_pdf;
  //              case: ModernFormFileExtensionType.DOCX:
  //       return Icons.picture_as_pdf;
  //              case: ModernFormFileExtensionType.PDF:
  //       return Icons.picture_as_pdf;
  //              case: ModernFormFileExtensionType.XLS:
  //       return Icons.picture_as_pdf;
  //              case: ModernFormFileExtensionType.XLSX:
  //       return Icons.picture_as_pdf;
  //              case: ModernFormFileExtensionType.PPT:
  //       return Icons.picture_as_pdf;
  // case: ModernFormFileExtensionType.PPTX:
  //       return Icons.picture_as_pdf;
  //       default:
  //       return Icons.picture_as_pdf;
  //     }
  //   }
}

extension StringToFileExtensionType on String {
  ModernFormFileExtensionType get toFileExtensionType =>
      ModernFormFileExtensionType.values.firstWhere(
        (element) =>
            this.toUpperCase() ==
            element
                .toString()
                .replaceAll('ModernFormFileExtensionType.', "")
                .toUpperCase(),
        orElse: () => ModernFormFileExtensionType.PDF,
      );
}
