part of modern_form_core;

class ModernFormDetector extends StatelessWidget {
  final GestureTapCallback? onTap;
  final Future<void> Function()? onLongPress;
  final Widget? child;
  final BorderRadius? borderRadius;

  const ModernFormDetector({
    Key? key,
    this.onTap,
    this.onLongPress,
    this.child,
    this.borderRadius,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ModernFormDetectorImplementation(
      onTap: onTap,
      onLongPress: onLongPress,
      borderRadius: borderRadius,
      child: child,
    );
  }
}
