part of modern_form_core;

class ModernFormTextFieldListenner {
  String? label;
  dynamic value;
  ModernFormTextFieldListennerType? type;
  void Function(dynamic)? onChange;
  final String? Function(dynamic)? validator;
  bool? enabled;
  String? leftSymbol;
  String? rightSymbol;
  String? decimalSeparator;
  int? precision;
  Icon? prefixIcon;
  TextInputType? keyboardType;
  TextInputAction? textInputAction;
  TextCapitalization? textCapitalization;
  InputDecoration Function(InputDecoration)? decoration;
  EdgeInsetsGeometry? padding;
  String? helperText;
  TextStyle? helperStyle;
  String? mask;

  ModernFormTextFieldListenner({
    required this.label,
    required this.value,
    this.type,
    this.onChange,
    this.enabled,
    this.leftSymbol,
    this.rightSymbol,
    this.decimalSeparator,
    this.precision,
    this.validator,
    this.prefixIcon,
    this.keyboardType,
    this.textInputAction,
    this.textCapitalization,
    this.decoration,
    this.padding,
    this.helperText,
    this.helperStyle,
    this.mask,
  });

  ModernFormTextFieldListenner copyWith({
    String? label,
    dynamic value,
    ModernFormTextFieldListennerType? type,
    void Function(dynamic)? onChange,
    String? Function(dynamic)? validator,
    bool? enabled,
    String? leftSymbol,
    String? rightSymbol,
    String? decimalSeparator,
    int? precision,
    Icon? prefixIcon,
    TextInputType? keyboardType,
    TextInputAction? textInputAction,
    TextCapitalization? textCapitalization,
    InputDecoration Function(InputDecoration)? decoration,
    EdgeInsetsGeometry? padding,
    String? helperText,
    TextStyle? helperStyle,
  String? mask,
  }) {
    return ModernFormTextFieldListenner(
      label: label ?? this.label,
      value: value ?? this.value,
      type: type ?? this.type,
      onChange: onChange ?? this.onChange,
      validator: validator ?? this.validator,
      enabled: enabled ?? this.enabled,
      leftSymbol: leftSymbol ?? this.leftSymbol,
      rightSymbol: rightSymbol ?? this.rightSymbol,
      decimalSeparator: decimalSeparator ?? this.decimalSeparator,
      precision: precision ?? this.precision,
      prefixIcon: prefixIcon ?? this.prefixIcon,
      keyboardType: keyboardType ?? this.keyboardType,
      textInputAction: textInputAction ?? this.textInputAction,
      textCapitalization: textCapitalization ?? this.textCapitalization,
      decoration: decoration ?? this.decoration,
      padding: padding ?? this.padding,
      helperText: helperText ?? this.helperText,
      helperStyle: helperStyle ?? this.helperStyle,
      mask: mask ?? this.mask,
    );
  }
}
